---

- hosts: localhost
  vars:
    home: /host/home
    zshrc:  "{{ home }}/.zshrc"
    gitconfig: "{{ home }}/.gitconfig"

  tasks:
    - lineinfile:
        dest: "{{ zshrc }}"
        state: present
        create: yes
        line: ". $HOME/.asdf/asdf.sh"
      
    - lineinfile:
        dest: "{{ zshrc }}"
        state: present
        create: yes
        line: ". $HOME/.asdf/completions/asdf.bash"

    - blockinfile:
        dest: "{{ gitconfig }}"
        state: present
        create: yes
        block: |
          [pretty]
            my = format:%C(yellow)%h%C(reset) | %C(dim green)%cd%C(reset) | %C(green)%cr%C(reset) | %C(cyan)%s%C(red)%d%C(red)%C(reset) %C(blue)[%an]%C(reset)
          [format]
            pretty = my
